// file: ht_phone_6.cc
//
 
// isip include files
//
#include "hmm_train.h"
#include "hmm_train_constants.h"

// method: check_sph_cc
//
// arguments:
//  int_4 curr_phn: (input) current phone index
//  int_4 num_sph : (input) number of monophones
//  int_4* sph_index : (input) list of user specified phone
//
// return: a logical_1 true or flase
//
// this method compare the input
//
logical_1 check_sph_cc(int_4 curr_phn_a, int_4 num_sph_a, int_4* sph_index_a) {

  // declare local variables
  //
  int i;
  logical_1 tag = ISIP_FALSE;

  if(num_sph_a>0) {    
    for(i=0;i<num_sph_a;i++) {
      if(sph_index_a[i]==curr_phn_a) {      
	tag=ISIP_TRUE;		       
      }
    }
  }

  // exit gracefully
  //
  return tag;  
}


